commit:     b567e9b46c456afb8236de4c07982bce71d892a6
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Jul 22 17:42:31 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Aug  2 20:15:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b567e9b4

x11-plugins/wmmon+smp: EAPI7, improve ebuild

 .../wmmon+smp/files/wmmon+smp-1.0-list.patch       |  8 ++---
 x11-plugins/wmmon+smp/wmmon+smp-1.0-r3.ebuild      | 42 ++++++++++++++++++++++
 2 files changed, 46 insertions(+), 4 deletions(-)

diff --git a/x11-plugins/wmmon+smp/files/wmmon+smp-1.0-list.patch 
b/x11-plugins/wmmon+smp/files/wmmon+smp-1.0-list.patch
index 1b1ac317669..19756d5edf2 100644
--- a/x11-plugins/wmmon+smp/files/wmmon+smp-1.0-list.patch
+++ b/x11-plugins/wmmon+smp/files/wmmon+smp-1.0-list.patch
@@ -1,6 +1,6 @@
 diff -Naur wmgeneral.orig/list.c wmgeneral/list.c
---- wmgeneral.orig/list.c      2016-01-04 13:28:36.583339716 +0100
-+++ wmgeneral/list.c   2016-01-04 13:28:48.694343645 +0100
+--- a/wmgeneral/list.c 2016-01-04 13:28:36.583339716 +0100
++++ b/wmgeneral/list.c 2016-01-04 13:28:48.694343645 +0100
 @@ -38,7 +38,7 @@
  
  /* Return a cons cell produced from (head . tail)
@@ -83,8 +83,8 @@ diff -Naur wmgeneral.orig/list.c wmgeneral/list.c
  {
    while(list)
 diff -Naur wmgeneral.orig/list.h wmgeneral/list.h
---- wmgeneral.orig/list.h      2016-01-04 13:28:36.583339716 +0100
-+++ wmgeneral/list.h   2016-01-04 13:28:39.471340654 +0100
+--- a/wmgeneral/list.h 2016-01-04 13:28:36.583339716 +0100
++++ b/wmgeneral/list.h 2016-01-04 13:28:39.471340654 +0100
 @@ -29,31 +29,25 @@
  #ifndef __LIST_H_
  #define __LIST_H_

diff --git a/x11-plugins/wmmon+smp/wmmon+smp-1.0-r3.ebuild 
b/x11-plugins/wmmon+smp/wmmon+smp-1.0-r3.ebuild
new file mode 100644
index 00000000000..34299e08f1d
--- /dev/null
+++ b/x11-plugins/wmmon+smp/wmmon+smp-1.0-r3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Dockapp CPU monitor resembling Xosview, support for smp"
+HOMEPAGE="http://www.ne.jp/asahi/linux/timecop/";
+SRC_URI="http://www.ne.jp/asahi/linux/timecop/software/wmmon+smp.tar.gz";
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="
+       x11-libs/libX11
+       x11-libs/libXext
+       x11-libs/libXpm"
+DEPEND="${RDEPEND}
+       x11-base/xorg-proto"
+
+S="${WORKDIR}/wmmon.app/wmmon"
+
+PATCHES=( "${FILESDIR}"/${P}-list.patch )
+
+src_prepare() {
+       tc-export CC
+       # Respect LDFLAGS, see bug #335047
+       sed \
+               -e 's/cc -o/${CC} ${LDFLAGS} -o/' \
+               -e 's/cc -c/${CC} ${CFLAGS} -c/' \
+               -i Makefile || die
+
+       cd "${WORKDIR}"/wmmon.app || die
+       default
+}
+
+src_install () {
+       newbin wmmon wmmon+smp
+       dodoc ../README
+}

Reply via email to